package com.police.policedatasystem.model;

import java.io.Serializable;

/**
 * {
 * "credential":{
 * "head":{
 * "credType":"1",
 * "duration":{
 * "endTime":"1709387466556",
 * "startTime":"1709380266556"
 * },
 * "token":{
 * "orgId":"220000000000",
 * "tokenId":"ff8080818bc29187018dff00ea3d33fb"
 * },
 * "version":"1.0"
 * },
 * "load":{
 * "userInfo":{
 * "jh":"106686",
 * "orgId":"220100410000",
 * "sfzh":"220105198602152031",
 * "userId":"162add958ea344f68d07b6ad2c4b17a7",
 * "xm":"路瑶"
 * }
 * },
 * "serverSign":{
 * "alg":"SM3+SM2",
 * "signature":"2WIjCJ/+94XmtIei2+/8eV40dxfvQGqV4ws7WDA5iNPc//zeZTFNewibqa8OSKprWq2P6mnWHMkVPYP+Qdl7Huc0qHJMVFUovF+mqtO5pSxrngem5kXmVK9v1NV7OMurPpa1FiQc1uU0A4Zae4ZrpynM2+qEck/D8KSvLvsKkCQ\u003d",
 * "sn":"b11000000000bdc",
 * "url":"http://192.168.24.108:8080"
 * }
 * }
 * }
 */
public class UserCredential implements Serializable {
    private Credential credential;

    public Credential getCredential() {
        return credential;
    }

    public void setCredential(Credential credential) {
        this.credential = credential;
    }

    public static class Credential implements Serializable {
        private Head head;
        private Load load;
        private ServerSign serverSign;

        public Head getHead() {
            return head;
        }

        public void setHead(Head head) {
            this.head = head;
        }

        public Load getLoad() {
            return load;
        }

        public void setLoad(Load load) {
            this.load = load;
        }

        public ServerSign getServerSign() {
            return serverSign;
        }

        public void setServerSign(ServerSign serverSign) {
            this.serverSign = serverSign;
        }
    }

    public static class Head implements Serializable{
        private Head head;
        private Load load;
        private ServerSign serverSign;

        public Head getHead() {
            return head;
        }

        public void setHead(Head head) {
            this.head = head;
        }

        public Load getLoad() {
            return load;
        }

        public void setLoad(Load load) {
            this.load = load;
        }

        public ServerSign getServerSign() {
            return serverSign;
        }

        public void setServerSign(ServerSign serverSign) {
            this.serverSign = serverSign;
        }
    }

    public static class Load implements Serializable {
        private UserInfo userInfo;

        public UserInfo getUserInfo() {
            return userInfo;
        }

        public void setUserInfo(UserInfo userInfo) {
            this.userInfo = userInfo;
        }
    }

    public static class ServerSign {
        private Head head;
        private Load load;
        private ServerSign serverSign;
    }

    public static class UserInfo implements Serializable {
        String jh;//"jh":"106686",
        String orgId;//"orgId":"220100410000",
        String sfzh;//"sfzh":"220105198602152031",
        String userId;//"userId":"162add958ea344f68d07b6ad2c4b17a7",
        String xm;//"xm":"路瑶"

        public String getJh() {
            return jh;
        }

        public void setJh(String jh) {
            this.jh = jh;
        }

        public String getOrgId() {
            return orgId;
        }

        public void setOrgId(String orgId) {
            this.orgId = orgId;
        }

        public String getSfzh() {
            return sfzh;
        }

        public void setSfzh(String sfzh) {
            this.sfzh = sfzh;
        }

        public String getUserId() {
            return userId;
        }

        public void setUserId(String userId) {
            this.userId = userId;
        }

        public String getXm() {
            return xm;
        }

        public void setXm(String xm) {
            this.xm = xm;
        }
    }
}
